package com.qmth.themis.exam.api;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.themis.business.bean.mobile.MobileAuthorizationParamBean;
import com.qmth.themis.business.service.MqDtoService;
import com.qmth.themis.business.service.TEMobileService;
import com.qmth.themis.common.exception.BusinessException;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "移动端接口")
@RestController
@RequestMapping("/${prefix.url.mobile}")
public class TEMobileController {
	
	@Resource
	MqDtoService mqDtoService;
	
	@Resource
	TEMobileService mobileService;

	@ApiOperation(value = "获取登录详细信息")
	@RequestMapping(value = "/authorization", method = RequestMethod.POST)
	public Result authorization(@RequestBody MobileAuthorizationParamBean param) {
		if (param.getMode() == null) {
			throw new BusinessException("mode不能为空");
		}
		if (param.getCode() == null) {
			throw new BusinessException("code不能为空");
		}
		return ResultUtil.ok(mobileService.authorization(param));
	}

}
